# HG changeset patch
# User Pavel Pautov <p.pautov@f5.com>
# Date 1652332850 25200
#      Wed May 11 22:20:50 2022 -0700
# Node ID f9cca9c9a0aab58b4d16260c589a6142a1d52b95
# Parent  35afae4b3dffff6718c0cab3ceb16b9de207c20a
Upstream keepalive: remove extra SSL shutdown processing.

diff --git a/src/http/modules/ngx_http_upstream_keepalive_module.c b/src/http/modules/ngx_http_upstream_keepalive_module.c
--- a/src/http/modules/ngx_http_upstream_keepalive_module.c
+++ b/src/http/modules/ngx_http_upstream_keepalive_module.c
@@ -471,10 +471,7 @@ ngx_http_upstream_keepalive_close(ngx_co
         c->ssl->no_wait_shutdown = 1;
         c->ssl->no_send_shutdown = 1;
 
-        if (ngx_ssl_shutdown(c) == NGX_AGAIN) {
-            c->ssl->handler = ngx_http_upstream_keepalive_close;
-            return;
-        }
+        (void) ngx_ssl_shutdown(c);
     }
 
 #endif
